Bug 54040 - Affected Systems pager busted
Affected Systems pager busted
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Devel
i386 Linux
high Severity high
: ---
: ---
Assigned To: Chip Turner
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-09-26 09:25 EDT by Jay Turner
Modified: 2015-01-07 18:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-27 13:41:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-09-26 09:25:55 EDT
Description of Problem:
The pager for affected systems isn't working correctly.  When first pulled
up, the pager is right, but after clicking 'Next' it goes a little wacky.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Log into http://rhn.webdev.redhat.com as rhn7_rlx
2. Verify that the pager option is set to either 5 or 10 items per page
3. Notice there are 14 system profiles total, of which 13 need attention
4. Click on the 13 count to display the affected systems list
5. Click 'Next' to see the next page

Actual Results:
The status bar will go from showing "1-5 of 13" (or "1-10 of 13") to "6-10
of 14"  So, it's counting all of the profiles instead of just the ones that
need attention

Expected Results:

Additional Information:
This happens on webqa as well, so this is not related to the pagination
changes which were made to allow custom length.
Comment 1 Jay Turner 2001-09-27 09:35:50 EDT
Here's another related example.  Log into rhn.webqa.redhat.com as rhn7_sticker.
 Pull up the System List and select about 11 systems to the selection list.  Now
click on the "11" in the selected systems display.  The first page will show
that you are looking at 1-5 of 11.  Click 'next' and you will see that you are
looking at 6-10 of 26.  Oops.
Comment 2 Chip Turner 2001-09-27 13:41:44 EDT
This should now be fixed in webdev and webqa.
Comment 3 Jay Turner 2001-09-27 14:34:38 EDT
Looks good on both.  Ready for a push live.

Note You need to log in before you can comment on or make changes to this bug.